=== debian/changelog ===
openssl (1.0.1j-1b1) staging; urgency=high

  * No-change rebuild for Tanglu because of security issue DSA-3053-1

 -- Thomas Funk <t.funk@web.de>  Fri, 17 Oct 2014 21:18:54 +0200

openssl (1.0.1j-1) unstable; urgency=high

  * New upstream release
    - Fixes CVE-2014-3513
    - Fixes CVE-2014-3567
    - Add Fallback SCSV support to mitigate CVE-2014-3566
    - Fixes CVE-2014-3568
  * Disables SSLv3 because of CVE-2014-3566
  * Update dgst_hmac.patch to apply to new upstream version
  * Drop rehash_pod.patch, applied upstream
  * Fix openssl_fix_for_x32.patch to apply to new upstream version

 -- Kurt Roeckx <kurt@roeckx.be>  Wed, 15 Oct 2014 19:06:38 +0200

openssl (1.0.1i-2) unstable; urgency=medium

  * Fix assembler for ppc64le (Closes: #745657)

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 11 Aug 2014 21:37:47 +0200

openssl (1.0.1i-1) unstable; urgency=high

  * New upstream release
    - Fix for CVE-2014-3512
    - Fix for CVE-2014-3511
    - Fix for CVE-2014-3510
    - Fix for CVE-2014-3507
    - Fix for CVE-2014-3506
    - Fix for CVE-2014-3505
    - Fix for CVE-2014-3509
    - Fix for CVE-2014-5139
    - Fix for CVE-2014-3508
    - Drop upstream git snapshot patch.
  * Add support for ppc64le (Closes: #745657)
  * Add support for OpenRISC (Closes: #736772)

 -- Kurt Roeckx <kurt@roeckx.be>  Thu, 07 Aug 2014 00:02:41 +0200

openssl (1.0.1h-3) unstable; urgency=medium

  * New upstream git snapshot
    - Allows CCS after finished message, needed for some renegiotation cases.
      (Closes: #751093)

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 14 Jun 2014 22:23:21 +0200

openssl (1.0.1h-2) unstable; urgency=medium

  * Use upstream git snapshot:
    - Fix resumption problem when using tls_session_secret_cb
    - Create ~/.rnd with mode 0600 (Closes: #750103)
    - Fix building on heartbeat test, drop patch to disable it.

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 09 Jun 2014 11:21:51 +0200

openssl (1.0.1h-1) unstable; urgency=high

  * New upstream release
    - Fix CVE-2014-0224
    - Fix CVE-2014-0221
    - Fix CVE-2014-0195
    - Fix CVE-2014-3470
    - Drop patch git_snapshot.patch
  * Disable the heartbeat test since it fails to build.

 -- Kurt Roeckx <kurt@roeckx.be>  Thu, 05 Jun 2014 18:42:05 +0200

openssl (1.0.1g-4) unstable; urgency=medium

  * Update to git snapshot
    - Fixes CVE-2014-0198 (Closes: #747432)
    - Drop the following patches that got applied upstream:
      fix-pod-errors.patch, CVE-2010-5298.patch,
      CVE-2014-XXXX-Extension-checking-fixes.patch
  * Actually restart the services when restart-without-asking is set.
    (Closes: #745801)

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 12 May 2014 22:22:16 +0200

openssl (1.0.1g-3) unstable; urgency=medium

  * Fix CVE-2010-5298: use-after-free race condition.
  * Propose restarting prosody on upgrade (Closes: #744871).
  * Add more services to be checked for restart.
  * Fix a bug where the critical flag for TSA extended key usage is not
    always detected, and two other similar cases.
  * Add support for 'libraries/restart-without-asking', which allows
    services to be restarted automatically without prompting, or
    requiring a response instead.

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 19 Apr 2014 18:38:32 +0200

openssl (1.0.1g-2) unstable; urgency=emergency

  * Enable checking for services that may need to be restarted (Closes: #743889)
  * Update list of services to possibly restart

 -- Kurt Roeckx <kurt@roeckx.be>  Tue, 08 Apr 2014 19:13:08 +0200

openssl (1.0.1g-1) unstable; urgency=high

  * New upstream release
    - Fixes CVE-2014-0160
    - Fixes CVE-2014-0076
    - Drop patches applied upstream

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 07 Apr 2014 23:17:42 +0200
